Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.renderer
Class StrokingTextPainter.TextRun

    java.lang.Object
      org.apache.batik.gvt.renderer.StrokingTextPainter.TextRun

Enclosing class:
  StrokingTextPainter

public class StrokingTextPainter.TextRun
extends java.lang.Object

Inner convenience class for associating a TextLayout for sub-spans, and the ACI which iterates over that subspan.

Constructor Summary
`StrokingTextPainter.TextRun(TextSpanLayout layout, java.text.AttributedCharacterIterator aci, boolean firstRunInChunk)`

Method Summary
`java.text.AttributedCharacterIterator` | `getACI()`
`int` | `getAnchorType()`
`TextSpanLayout` | `getLayout()`
`java.lang.Float` | `getLength()`
`java.lang.Integer` | `getLengthAdjust()`
`boolean` | `isFirstRunInChunk()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrokingTextPainter.TextRun

    public StrokingTextPainter.TextRun(TextSpanLayout layout,
                                       java.text.AttributedCharacterIterator aci,
                                       boolean firstRunInChunk)

Method Detail

### getACI

    public java.text.AttributedCharacterIterator getACI()

### getLayout

    public TextSpanLayout getLayout()

### getAnchorType

    public int getAnchorType()

### getLength

    public java.lang.Float getLength()

### getLengthAdjust

    public java.lang.Integer getLengthAdjust()

### isFirstRunInChunk

    public boolean isFirstRunInChunk()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.